Subject: Re: [RFC PATCH 0/5] IPsec parallelization

From: Steffen Klassert <[email-masked]>
Date: Tue, 2 Dec 2008 10:21:54 +0100

On Tue, Dec 02, 2008 at 04:50:52PM +0800, Herbert Xu wrote:
> 
> > > This achieves exactly the same thing as your current patch-set
> > > plus:
> > > 
> > > 1) The uesr no longer has to make a system-wide choice of whether
> > > to enable this, instead the control is per-SA through the usual
> > > algorithm selection mechanism which means that this no longer
> > > conflicts with async crypto;
> > > 
> > > 2) There is no change to the xfrm code;
> > > 
> > > 3) The same mechanism can benefit other crypto users such as
> > > disk encryption.
> > 
> > The padata stuff is generic, so it can be used even for disk
> > encryption or for anything else that should run in parallel but
> > needs a certain order at a given point.
> 
> What about the first issue?
> 

Yes, that's a point. If it is in the network layer we probaply need this
system-wide choice because it would bring a useless overhead to
the sk_buff if this thing is not used. So this could be a plus for
putting it to the crypto layer if we don't need this system-wide choice
there.